/**
 * 延迟创建状态，直到满足某些条件。
 * @param initialState
 * @param condition
 * @return
 */
declare const useDelayedState: <T = any>(initialState: T, condition: boolean) => [T, (newState: T) => void];
export default useDelayedState;
